Bug 1361220 - [abrt] kde-workspace: systemsettings killed by SIGSEGV
Summary: [abrt] kde-workspace: systemsettings killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libkscreen
Version: 7.2
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:64d4e28d408644908cab7b6136c...
Keywords:
Depends On:
Blocks: 1479818
TreeView+ depends on / blocked
 
Reported: 2016-07-28 14:17 UTC by Michael Petlan
Modified: 2018-10-26 07:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-10 11:31:43 UTC


Attachments (Terms of Use)
File: backtrace (51.32 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: cgroup (200 bytes, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: core_backtrace (13.06 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: dso_list (16.52 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: environ (1.87 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: exploitable (82 bytes, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: limits (1.29 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: machineid (135 bytes, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: maps (85.53 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: open_fds (617 bytes, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: var_log_messages (187 bytes, text/plain)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details
File: sosreport.tar.xz (9.26 MB, application/octet-stream)
2016-07-28 14:18 UTC, Michael Petlan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0717 None None None 2018-04-10 11:33 UTC

Description Michael Petlan 2016-07-28 14:17:57 UTC
Description of problem:


Version-Release number of selected component:
kde-workspace-4.11.19-7.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings -caption 'System Settings' --icon preferences-system
executable:     /usr/bin/systemsettings
global_pid:     31090
kernel:         4.6.0
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Michael Petlan 2016-07-28 14:18:00 UTC
Created attachment 1185126 [details]
File: backtrace

Comment 2 Michael Petlan 2016-07-28 14:18:03 UTC
Created attachment 1185127 [details]
File: cgroup

Comment 3 Michael Petlan 2016-07-28 14:18:04 UTC
Created attachment 1185128 [details]
File: core_backtrace

Comment 4 Michael Petlan 2016-07-28 14:18:06 UTC
Created attachment 1185129 [details]
File: dso_list

Comment 5 Michael Petlan 2016-07-28 14:18:07 UTC
Created attachment 1185130 [details]
File: environ

Comment 6 Michael Petlan 2016-07-28 14:18:08 UTC
Created attachment 1185131 [details]
File: exploitable

Comment 7 Michael Petlan 2016-07-28 14:18:09 UTC
Created attachment 1185132 [details]
File: limits

Comment 8 Michael Petlan 2016-07-28 14:18:10 UTC
Created attachment 1185133 [details]
File: machineid

Comment 9 Michael Petlan 2016-07-28 14:18:12 UTC
Created attachment 1185134 [details]
File: maps

Comment 10 Michael Petlan 2016-07-28 14:18:13 UTC
Created attachment 1185135 [details]
File: open_fds

Comment 11 Michael Petlan 2016-07-28 14:18:14 UTC
Created attachment 1185136 [details]
File: proc_pid_status

Comment 12 Michael Petlan 2016-07-28 14:18:16 UTC
Created attachment 1185137 [details]
File: var_log_messages

Comment 13 Michael Petlan 2016-07-28 14:18:50 UTC
Created attachment 1185139 [details]
File: sosreport.tar.xz

Comment 15 Jan Grulich 2017-05-09 12:00:26 UTC
Can be fixed, I think this is relevant upstream fix [1].

[1] - https://phabricator.kde.org/D1532

Comment 16 Jan Grulich 2017-09-11 07:02:41 UTC
Reassigning to libkscreen as the problem is there.

Comment 18 Jan Grulich 2017-09-11 07:41:58 UTC
Fixed in libkscreen-1.0.1-7.el7.

Comment 27 errata-xmlrpc 2018-04-10 11:31:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0717


Note You need to log in before you can comment on or make changes to this bug.